declare const NAME = "unplugin-vue-cssvars";
declare const SUPPORT_FILE_LIST: string[];
declare const SUPPORT_FILE_REG: RegExp;
declare const FG_IGNORE_LIST: string[];
declare const SUPPORT_FILE: {
    CSS: string;
    LESS: string;
    SASS: string;
    SCSS: string;
    STYLUS: string;
    STYL: string;
};
declare const DEFAULT_INCLUDE_REG: RegExp[];
declare const DEFAULT_EXCLUDE_REG: RegExp[];
declare const JSX_TSX_REG: RegExp;

declare type TLog = 'error' | 'warning' | 'info' | 'success';
declare const logType: {
    info: (msg: string, prefix?: string) => string;
    error: (msg: string, prefix?: string) => string;
    warning: (msg: string, prefix?: string) => string;
    success: (msg: string, prefix?: string) => string;
};
declare const log: (type: TLog, msg: string, prefix?: string) => void;

declare function runAsyncTaskList(taskNum: number, taskFunc: (index: number) => Promise<Record<any, any> | void>): Promise<any>[];

declare const extend: <T extends Record<string, any>, U extends Record<string, any>>(objFir: T, objSec: U) => T & U;
declare const setTArray: <T>(set: Set<T>) => T[];
declare const isEmptyObj: (val: unknown) => boolean;
declare const transformSymbol: (path: string) => string;
declare const completeSuffix: (fileName: string, suffix: string, force?: boolean) => string;

export { DEFAULT_EXCLUDE_REG, DEFAULT_INCLUDE_REG, FG_IGNORE_LIST, JSX_TSX_REG, NAME, SUPPORT_FILE, SUPPORT_FILE_LIST, SUPPORT_FILE_REG, TLog, completeSuffix, extend, isEmptyObj, log, logType, runAsyncTaskList, setTArray, transformSymbol };
